//NetTalk
/*------------------------------------------------------------------------------*\
 =============================
   模块名称: SlideBar.h
 =============================
 
 [版权]
 
   2000-2002  115软件工厂  版权所有
                                              
\*------------------------------------------------------------------------------*/
#ifndef _SLIDEBAR_H_
#define _SLIDEBAR_H_
#define WM_SLD WM_USER+100

class CSlideBar:public CWndX
{
public:
	BOOL Create(RECT &rc,HWND hParent,UINT uID);
	int GetPos();
	void SetPos(int iPos);
	virtual  ~CSlideBar();
	CSlideBar();
protected:
	virtual void OnLButtonDown(UINT nFlags, POINT &point);
	virtual void OnPaint();
	virtual LRESULT WndProc(UINT uMsg, WPARAM wParam, LPARAM lParam);

	
	void MakeBmp(HDC hdc);

	int m_iID;	
	int m_iPos;

	HBITMAP m_hbmpFace1;
	HBITMAP m_hbmpFace2;
};



#endif